CppCMS

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Static Public Member Functions | List of all members
cppcms::archive_traits< Object > Struct Template Reference

Special traits class that describes how to serialize various objects that are not defived from serializable_base. More...

`#include <cppcms/serialization_classes.h>`

## Static Public Member Functions
static void | save (Object const &d, archive &a)
static void | load (Object &d, archive &a)

## Detailed Description

### template<typename Object>
struct cppcms::archive_traits< Object >

Special traits class that describes how to serialize various objects that are not defived from serializable_base.

## Member Function Documentation

template<typename Object >

static void cppcms::archive_traits< Object >::load | ( | Object & | d,
|  | archive & | a
| ) |  |
| static

Load object from archive function

Referenced by cppcms::operator&(), and cppcms::operator>>().

template<typename Object >

static void cppcms::archive_traits< Object >::save | ( | Object const & | d,
|  | archive & | a
| ) |  |
| static

Save object to archive function

Referenced by cppcms::operator<<().

The documentation for this struct was generated from the following file:

- cppcms/serialization_classes.h